#include "vision.h"

std::vector<int> getVisionPattern1d() {
    return { 1, 2, 3 };
}

int getMove1d(std::vector<int> v) {
    const auto goal = v[v.size() / 2] % 3 + 1;
    return v[v.size() / 2 - 1] == goal ? v.size() / 2 - 1 : v.size() / 2 + 1;
}

std::vector<std::vector<int>> getVisionPattern2d() {
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v) {
    return {0, 0};
}
